# RunIcal

Generate ical files based on Hal Higdon's training programs.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'run_ical'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install run_ical

## Usage

The following command will return the ical file as a string:

```ruby
RunIcal::Generator.generate(race_date: "2018-05-06", program: "Advanced5K")
```

You can also generate from the CLI interface:

```bash
run_ical --program=Advanced5K --date=2018-05-06 --file=/tmp/cal.ical
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/scashin133/run_ical.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
