
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "run_ical/version"

Gem::Specification.new do |spec|
  spec.name          = "run_ical"
  spec.version       = RunIcal::VERSION
  spec.authors       = ["Sean Cashin"]
  spec.email         = ["scashin133@gmail.com"]

  spec.summary       = %q{Generate an ical file for a race}
  spec.description   = %q{Uses Hal Higdon's plans for creating a calendar}
  spec.homepage      = "https://github.com/scashin133/run_ical"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "icalendar", ">= 2.0.0"
  spec.add_dependency "activesupport", ">= 5.0.0"

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
